import os
import string

all_files = os.listdir(".")

refFiles = []
outFiles = []
for f in all_files:
    if not f.startswith("pe"):
        continue
    if f.endswith(".out"):
        outFiles.append(f[:-4])
    elif f.endswith(".ref"):
        refFiles.append(f[:-4])

refFiles.sort()

nFiles = len(refFiles)
for fdx in xrange(nFiles):
    basename = refFiles[fdx]
    if basename not in outFiles:
        raise ValueError, "Output file %s.out is missing" % basename

    refFile = open(basename+".ref")
    outFile = open(basename+".out")

    # read comment lines
    refFile.readline()
    outFile.readline()

    times_ref = map(string.atof, string.split(refFile.readline()) )
    times_out = map(string.atof, string.split(outFile.readline()) )
    percentChange = 100.* ( (times_out[0] / times_ref[0] ) - 1.)

    sign = {True:"+", False:"-"}[(percentChange > 0)]
    
    print "%s :\t%s %4.1f %%" % (basename, sign, percentChange)
